Apache Rampart 1.8.0 Release Notes
---------------------------------

Apache Rampart 1.8.0 is a major release designed for compatibility with Axis2
1.8.2. 

A huge amount of effort went into upgrading everything possible up to jakarta - 
namely opensaml to 4.3 and ws-wss4j to 3.0.3.

This will be the last javax based release. The next Rampart release will be 2.0.0 
and will support Axis2 2.0.0, Jakarta, servlet 6.0 and EE 10. This should happen
soon as the hardwork in Axis2 2.0.0 has been done already. The 
biggest expected challenge will be the OpenSAML upgrade from 
4.x which supports javax, to 5.x which supports jakarta.

The Apache Rampart project and our top level Axis project covering Axis2 needs committers! 

GitHub PR's are welcome too. If you have an interest in a feature that Rampart
lacks or simply found a bug you can help with, please think about contributing.

Jira issues completed for 1.8.0: 
<h2>        Sub-task
</h2>
<ul>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-234'>RAMPART-234</a>] -         Allow custom https listeners to populate the client certificate chain in the message context
</li>
</ul>
            
<h2>        Bug
</h2>
<ul>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-325'>RAMPART-325</a>] -         NullPointerException with UsernameToken Policy and MTOM Policy without Rampart Config in WSDL
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-331'>RAMPART-331</a>] -         Unreachable code in org.apache.rahas.STSMessageReceiver.invokeBusinessLogic() - &quot;dispatcher&quot; is never null at end of try
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-361'>RAMPART-361</a>] -         Rampart can not accept Username token which is generated from WCF client. Due to name space qualified password type attribute in username token
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-374'>RAMPART-374</a>] -         Not Able to use custom validator for USERNAME_TOKEN during server side validation
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-388'>RAMPART-388</a>] -         NPE in RampartUtil#setKeyIdentifierType (line #1389) wss (web service security options assertion) is null.
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-390'>RAMPART-390</a>] -         SupportingToken assertions do not support multiple nested protection assertions
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-396'>RAMPART-396</a>] -         NullPointerException using STS, Trust and entropy
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-423'>RAMPART-423</a>] -         STS implementation may lead to performance reduction
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-432'>RAMPART-432</a>] -         Axis2 BSP compliance
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-435'>RAMPART-435</a>] -         Unable to set timestampTTLand timestampMaxSkew values through a rampart callbackorg.apache.axis2.AxisFault: The message has expired 
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-437'>RAMPART-437</a>] -         SHA256 not supported for DigestAlgorithm for TransportBinding when specified correctly in policy.xml
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-441'>RAMPART-441</a>] -         rampart-config.xsd is outdated
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-448'>RAMPART-448</a>] -         NullPointerException in RampartUtil.setKeyIdentifierType() when signing response
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-449'>RAMPART-449</a>] -         NoClassDefFoundError with Axis2 1.8.0
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-452'>RAMPART-452</a>] -         Rampart Dependency on Outdated Version of WSS4J 1.6.x
</li>
</ul>
            
<h2>        New Feature
</h2>
<ul>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-261'>RAMPART-261</a>] -         Ability to Toggle &quot;mustUnderstand&quot; flag in security header.
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-417'>RAMPART-417</a>] -         Support for transport binding Kerberos v5 authentication
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-433'>RAMPART-433</a>] -         Support for Kerberos v5 delegated authentication
</li>
</ul>
    
<h2>        Improvement
</h2>
<ul>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-205'>RAMPART-205</a>] -         Setting WSSConfig properties from RampartConfig
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-335'>RAMPART-335</a>] -         X509V3 KeyIdentifier cannot be set dynmaically
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-339'>RAMPART-339</a>] -         Sample 09 for rampart policy samples -(different security policies to secure request and response messages with policy attachments)
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-369'>RAMPART-369</a>] -         Rampart project need a DOAP file. 
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-420'>RAMPART-420</a>] -         Allow WS-Security timestamps to be spoofed and BSP checking disabled
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-440'>RAMPART-440</a>] -         update OpenSAML to 2.6.1
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-451'>RAMPART-451</a>] -         remove xalan dependency due to it being end of life
</li>
</ul>
                                                                    
<h2>        Request
</h2>
<ul>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-453'>RAMPART-453</a>] -         Request to release the next latest rampart-trust version
</li>
</ul>
    
<h2>        Question
</h2>
<ul>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-436'>RAMPART-436</a>] -         Proper settings to use WS-Security(UsernameToken) with Rampart 1.7.0
</li>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-442'>RAMPART-442</a>] -         Help ASAP
</li>
</ul>
                                                                            
<h2>        Documentation
</h2>
<ul>
<li>[<a href='https://issues.apache.org/jira/browse/RAMPART-425'>RAMPART-425</a>] -         Links not found
</li>
</ul>

